<div id="homeForm">
    <ul class="breadcrumb">
        <li><a href="<?=$this->url('root')?>"><?=$this->icon('home')?></a></li>
        <li><?=$this->translate('administration_module_title')?></li>
        <li><?=$this->translate('home_module_title')?></li>
    </ul>

    <h1 class="page-title">
        <?=$this->icon('home')?> <?=$this->translate('home_module_title')?>
    </h1>

    <div class="row row-padding">
        <div class="col-xs-12">
            <ul class="nav nav-tabs">
                <li class="active">
                    <a href="#home" data-toggle="tab" ng-click="tabHomeLoaded = tabHomeLoaded + 1">
                        <?=ucfirst($this->translate('home_entity'))?>
                    </a>
                </li>
                <?php if ($this->acl()->isAllowed('home:e:homeAdmin:r')): ?>
                    <li>
                        <a href="#homeAdmin" data-toggle="tab" ng-click="tabHomeAdminLoaded = tabHomeAdminLoaded + 1">
                            <?=ucfirst($this->translate('homeAdmin_entity'))?>
                        </a>
                    </li>
                <?php endif;?>
            </ul>
            <div class="panel">
                <div class="panel-body">
                    <div class="tab-content">

                        <!-- Home -->
                        <div id="home" class="tab-pane active" ng-controller="homeFormController as self" ng-init="self.init(<?=$this->home->getId()?>, <?=$this->environment()->getClient()->getId()?>)">
                            <div class="row separator">
                                <div class="col-xs-12">
                                    <?php if ($this->acl()->isAllowed('home:e:home:c')): ?>
                                        <button class="btn" ng-click="self.addContainer()" ng-disabled="!self.home">
                                            <?=$this->icon('create')?>
                                            <?=$this->translate('container_create_form')?>
                                        </button>
                                    <?php endif;?>
                                    <div class="pull-right">
                                        <strong><?=$this->translate('home_field_enabled')?></strong>
                                        <input type="checkbox" name="enabled" ng-model="self.home.enabled" ng-change="self.enableHome()" ng-disabled="!self.home._rights.update"/>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div style="{{self.isNewLine(container.width, $index) ? 'clear: both' : ''}}" ng-repeat="container in self.home.containers | orderBy: 'order'" class="home-container separator" ng-switch="container.type" ng-class="{
                                    'col-sm-12': container.width == '<?=\Home\Entity\Container::WIDTH_ONE?>',
                                    'col-sm-9' : container.width == '<?=\Home\Entity\Container::WIDTH_THREE_QUARTERS?>',
                                    'col-sm-8' : container.width == '<?=\Home\Entity\Container::WIDTH_TWO_THIRDS?>',
                                    'col-sm-6' : container.width == '<?=\Home\Entity\Container::WIDTH_ONE_HALF?>',
                                    'col-sm-4' : container.width == '<?=\Home\Entity\Container::WIDTH_ONE_THIRD?>',
                                    'col-sm-3' : container.width == '<?=\Home\Entity\Container::WIDTH_ONE_QUARTER?>'
                                }">
                                    <h3 class="container-title">{{container.order}}. {{container.title}}</h3>
                                    <div class="btn-group">
                                        <button class="btn btn-default btn-xs" tooltip="<?=$this->translate('tooltip_edit')?>" ng-click="self.editContainer(container)" ng-if="self.home._rights.update">
                                            <?=$this->icon('edit', 'fa-fw')?>
                                        </button>
                                        <button class="btn btn-default btn-xs" tooltip="<?=$this->translate('tooltip_delete')?>" ng-click="self.deleteContainer(container)" ng-if="self.home._rights.delete">
                                            <?=$this->icon('delete', 'fa-fw')?>
                                        </button>
                                    </div>

                                    <div ng-switch-when="<?=\Home\Entity\Container::TYPE_TEXT?>">
                                        <div class="well well-sm">
                                            <div ng-bind-html="self.renderHtml(container.content)"></div>
                                        </div>
                                    </div>

                                    <div ng-switch-when="<?=\Home\Entity\Container::TYPE_LIST?>">
                                        <div class="well well-sm" ng-if="container.entity == 'project'">
                                            <div ng-controller="projectListController as self" ng-init="self.initHome('container-' + container.id, container.query)">
                                                <?=$this->partial('project/index/index.phtml', ['fromHome' => true])?>
                                            </div>
                                        </div>

                                        <div class="well well-sm" ng-if="container.entity == 'task'">
                                            <div ng-controller="taskListController as self" ng-init="self.initHome('container-' + container.id, container.query)">
                                                <?=$this->partial('task/index/index.phtml', ['fromHome' => true, 'groups' => $this->taskGroups])?>
                                            </div>
                                        </div>
                                    </div>

                                    <div ng-switch-when="<?=\Home\Entity\Container::TYPE_CALENDAR?>">
                                        <div class="well well-sm" ng-if="container.entity == 'timesheet'">
                                            <div ng-controller="timesheetListController as self" ng-init="self.initHome('container-' + container.id, container.query, 'calendar', <?=$this->authStorage()->getUser()->getId()?>)">
                                                <?=$this->partial('time/index/index.phtml', ['fromHome' => true, 'groups' => $this->timeGroups])?>
                                            </div>
                                        </div>
                                    </div>

                                    <div ng-switch-when="<?=\Home\Entity\Container::TYPE_CHAT?>">
                                        <div class="well well-sm" ng-if="container.entity == 'note'">
                                            <?=$this->partial('home/partial/chat/note.phtml')?>
                                        </div>
                                    </div>

                                    <div ng-switch-when="<?=\Home\Entity\Container::TYPE_GRAPHIC?>">
                                        <div class="well well-sm"
                                             ng-if="container.entity == 'timesheet' && container.graphicType == 'by_month'"
                                             ng-controller="graphicTimesheetController as self"
                                             ng-init="self.init(container.query)">
                                            <?=$this->partial('home/partial/graphic/timesheet.phtml')?>
                                        </div>
                                    </div>

                                    <div ng-switch-when="<?=\Home\Entity\Container::TYPE_GRAPHIC?>">
                                        <div class="well well-sm"
                                             ng-if="container.entity == 'timesheet' && container.graphicType == 'pie'"
                                             ng-controller="graphicProjectTimePieController as self"
                                             ng-init="self.init(container.query)">
                                            <?=$this->partial('home/partial/graphic/project-time.phtml')?>
                                        </div>
                                    </div>

                                </div>
                            </div>

                            <div id="containerFormModal" class="modal fade">
                                <div class="modal-dialog modal-lg">
                                    <div class="modal-content">
                                        <form name="containerForm" ng-submit="self.saveContainer();">
                                            <div class="modal-header"><?=$this->translate('container_nav_form')?></div>
                                            <div class="modal-body">
                                                <div class="row">
                                                    <div class="form-group required col-sm-6">
                                                        <label><?=$this->translate('container_field_title')?></label>
                                                        <input type="text" class="form-control" name="title" ng-model="self.container.title" required/>
                                                        <field-errors field="title" errors="self.errors.fields"></field-errors>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="form-group required col-sm-6">
                                                        <label><?=$this->translate('container_field_order')?></label>
                                                        <input type="number" name="order" class="form-control" autocomplete="off" ng-model="self.container.order" required/>
                                                        <field-errors field="order" errors="self.errors.fields"></field-errors>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="form-group required col-sm-6">
                                                        <label><?=$this->translate('container_field_width')?></label>
                                                        <select class="form-control" name="width" ng-model="self.container.width" required>
                                                            <?php foreach ($widths as $width) {
    echo '<option value="' . $width . '">' . ucfirst($this->translate($width)) . '</option>';
}?>
                                                        </select>
                                                        <field-errors field="width" errors="self.errors.fields"></field-errors>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="form-group required col-sm-6">
                                                        <label><?=$this->translate('container_field_type')?></label>
                                                        <select class="form-control" name="type" ng-model="self.container.type" required>
                                                            <?php foreach ($types as $type) {
    echo '<option value="' . $type . '">' . ucfirst($this->translate($type . '_entity')) . '</option>';
}?>
                                                        </select>
                                                        <field-errors field="type" errors="self.errors.fields"></field-errors>
                                                    </div>
                                                </div>

                                                <!-- Type Text -->
                                                <div ng-if="self.container.type == '<?=\Home\Entity\Container::TYPE_TEXT?>'">
                                                    <div class="row">
                                                        <div class="col-sm-6 container-variable">
                                                            <b class="variables-category">
                                                                <?=$this->translate('container_field_imageGlobal')?>
                                                                <div class="pull-right">
                                                                    <a class="pointer" ng-click="self.configureVariable('addPictureGlobal')"><span class="glyphicon glyphicon-plus"></span></a>
                                                                </div>
                                                            </b>
                                                            <ul class="list-unstyled">
                                                                <li ng-repeat="picture in self.picturesGlobal">
                                                                    <label class="variable no-bold pointer" ng-click="self.insertImage(picture.url)">
                                                                        {{picture.name}}
                                                                    </label>
                                                                </li>
                                                            </ul>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="form-group col-sm-12 required">
                                                            <label><?=$this->translate('container_field_content')?></label>
                                                            <text-editor ng-model="self.container.content" type="simple" required></text-editor>
                                                            <field-errors field="content" errors="self.errors.fields"></field-errors>
                                                        </div>
                                                    </div>
                                                </div>

                                                <!-- Type List -->
                                                <div ng-if="self.container.type == '<?=\Home\Entity\Container::TYPE_LIST?>'">
                                                    <div class="row">
                                                        <div class="form-group required col-sm-6">
                                                            <label><?=$this->translate('container_field_entity')?></label>
                                                            <select class="form-control" name="entity" ng-model="self.container.entity" required>
                                                                <?php foreach (['project', 'task'] as $entity) {
    echo '<option value="' . $entity . '">' . ucfirst($this->translate($entity . '_entity')) . '</option>';
}?>
                                                            </select>
                                                            <field-errors field="entity" errors="self.errors.fields"></field-errors>
                                                        </div>
                                                    </div>
                                                </div>

                                                <!-- Type Calendar -->
                                                <div ng-if="self.container.type == '<?=\Home\Entity\Container::TYPE_CALENDAR?>'">
                                                    <div class="row">
                                                        <div class="form-group required col-sm-6">
                                                            <label><?=$this->translate('container_field_entity')?></label>
                                                            <select class="form-control" name="entity" ng-model="self.container.entity" required>
                                                                <?php foreach (['timesheet'] as $entity) {
    echo '<option value="' . $entity . '">' . ucfirst($this->translate($entity . '_entity')) . '</option>';
}?>
                                                            </select>
                                                            <field-errors field="entity" errors="self.errors.fields"></field-errors>
                                                        </div>
                                                    </div>
                                                </div>

                                                <!-- Type Chat -->
                                                <div ng-if="self.container.type == '<?=\Home\Entity\Container::TYPE_CHAT?>'">
                                                    <div class="row">
                                                        <div class="form-group required col-sm-6">
                                                            <label><?=$this->translate('container_field_entity')?></label>
                                                            <select class="form-control" name="entity" ng-model="self.container.entity" required>
                                                                <?php foreach (['note'] as $entity) {
    echo '<option value="' . $entity . '">' . ucfirst($this->translate($entity . '_entity')) . '</option>';
}?>
                                                            </select>
                                                            <field-errors field="entity" errors="self.errors.fields"></field-errors>
                                                        </div>
                                                    </div>
                                                </div>

                                                <!-- Type Graphic -->
                                                <div ng-if="self.container.type == '<?=\Home\Entity\Container::TYPE_GRAPHIC?>'">
                                                    <div class="row">
                                                        <div class="form-group required col-sm-6">
                                                            <label><?=$this->translate('container_field_entity')?></label>
                                                            <select class="form-control" name="entity" ng-model="self.container.entity" required>
                                                                <?php foreach (['timesheet'] as $entity) {
    echo '<option value="' . $entity . '">' . ucfirst($this->translate($entity . '_entity')) . '</option>';
}?>
                                                            </select>
                                                            <field-errors field="entity" errors="self.errors.fields"></field-errors>
                                                        </div>
                                                    </div>

                                                    <div class="row">
                                                        <div class="form-group required col-sm-6">
                                                            <label><?=$this->translate('container_field_graphicType')?></label>
                                                            <select class="form-control" name="type" ng-model="self.container.graphicType" required>
                                                                <?php foreach ($graphicTypes as $graphicType) {
    echo '<option value="' . $graphicType . '">' . ucfirst($this->translate('graphicType_' . $graphicType)) . '</option>';
}?>
                                                            </select>
                                                            <field-errors field="graphicType" errors="self.errors.fields"></field-errors>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row" ng-if="
                                                        (self.container.entity == 'project'   && self.container.type == '<?=\Home\Entity\Container::TYPE_LIST?>')  ||
                                                        (self.container.entity == 'task'      && self.container.type == '<?=\Home\Entity\Container::TYPE_LIST?>' ) || (
                                                            self.container.entity == 'timesheet' && (
                                                                self.container.type == '<?=\Home\Entity\Container::TYPE_CALENDAR?>' ||
                                                                self.container.type == '<?=\Home\Entity\Container::TYPE_GRAPHIC?>'
                                                            )
                                                        )
                                                    ">
                                                    <div class="form-group col-sm-6">
                                                        <label><?=$this->translate('container_field_query')?></label>
                                                        <query-select name="query" ng-model="self.container.query" required="false" form="containerForm" configuration="{
                                                            service: {
                                                                apiParams: {
                                                                    search: {
                                                                        data: {
                                                                            filters: {
                                                                                list: {
                                                                                    op: 'eq',
                                                                                    val: self.container.entity == 'timesheet' && self.container.type == '<?=\Home\Entity\Container::TYPE_GRAPHIC?>'
                                                                                        ? 'analysis-time'
                                                                                        : self.container.entity + 's-list'
                                                                                }
                                                                            }
                                                                        }
                                                                    }
                                                                }
                                                            }
                                                        }"></query-select>
                                                        <field-errors field="query" errors="self.errors.fields"></field-errors>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="modal-footer">
                                                <button class="btn btn-default" type="button" data-dismiss="modal">
                                                    <?=$this->translate('close')?>
                                                </button>
                                                <button class="btn btn-submit" type="submit" ng-disabled="self.loading.save">
                                                    <?=$this->icon('loading', '', ['ng-if' => 'self.loading.save'])?>
                                                    <?=$this->translate('save')?>
                                                </button>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>

                            <div id="params_addPictureGlobal" class="modal fade">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <form name="attachmentForm" ng-submit="self.savePictureGlobal()">
                                            <div class="modal-header"><?=$this->translate('picture_add_title')?></div>
                                            <div class="modal-body">
                                                <div class="row">
                                                    <div class="col-xs-6">
                                                        <div class="form-group required">
                                                            <label><?=$this->translate('attachment_field_name')?></label>
                                                            <input required type="text" ng-model="self.pictureGlobal.name" class="form-control">
                                                            <field-errors field="name" errors="self.errors"></field-errors>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-xs-6">
                                                        <div class="form-group required">
                                                            <label><?=$this->translate('attachment_field_url')?></label>
                                                            <input ng-required="!self.pictureGlobal.filename" type="file" nv-file-select uploader="self.uploader" ng-model="self.pictureGlobal.file" class="hide-tooltip"/>
                                                            <strong>{{self.pictureGlobal.filename}}</strong>
                                                            <field-errors field="url" errors="self.errors"></field-errors>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="modal-footer">
                                                <button class="btn btn-default" type="button" data-dismiss="modal">
                                                    <?=$this->translate('close')?>
                                                </button>
                                                <button class="btn btn-submit" ng-disabled="self.loading.save || self.pictureGlobal.name == null || self.pictureGlobal.filename == null">
                                                    <?=$this->icon('loading', '', ['ng-if' => 'self.loading.save'])?>
                                                    <?=$this->translate('save')?>
                                                </button>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- Home Admin -->
                        <?php if ($this->acl()->isAllowed('home:e:homeAdmin:r')): ?>
                            <div id="homeAdmin" class="tab-pane"
                                 ng-if="tabHomeAdminLoaded"
                                 ng-controller="homeAdminFormController as self"
                                 ng-init="self.init(<?=$this->homeAdmin->getId()?>, <?=$this->environment()->getClient()->getId()?>)">
                                <div class="row separator">
                                    <div class="col-xs-12">
                                        <?php if ($this->acl()->isAllowed('home:e:homeAdmin:c')): ?>
                                            <button class="btn" ng-click="self.addContainer()" ng-disabled="!self.home">
                                                <?=$this->icon('create')?>
                                                <?=$this->translate('container_create_form')?>
                                            </button>
                                        <?php endif;?>
                                        <div class="pull-right">
                                            <strong><?=$this->translate('home_field_enabled')?></strong>
                                            <input type="checkbox" name="enabled" ng-model="self.home.enabled" ng-change="self.enableHome()" ng-disabled="!self.home._rights.update"/>
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div style="{{self.isNewLine(container.width, $index) ? 'clear: both' : ''}}" ng-repeat="container in self.home.containers | orderBy: 'order'" class="home-container separator" ng-switch="container.type" ng-class="{
                                        'col-sm-12': container.width == '<?=\Home\Entity\Container::WIDTH_ONE?>',
                                        'col-sm-9' : container.width == '<?=\Home\Entity\Container::WIDTH_THREE_QUARTERS?>',
                                        'col-sm-8' : container.width == '<?=\Home\Entity\Container::WIDTH_TWO_THIRDS?>',
                                        'col-sm-6' : container.width == '<?=\Home\Entity\Container::WIDTH_ONE_HALF?>',
                                        'col-sm-4' : container.width == '<?=\Home\Entity\Container::WIDTH_ONE_THIRD?>',
                                        'col-sm-3' : container.width == '<?=\Home\Entity\Container::WIDTH_ONE_QUARTER?>'
                                    }">
                                        <h3 class="container-title">{{container.order}}. {{container.title}}</h3>
                                        <div class="btn-group">
                                            <button class="btn btn-default btn-xs" tooltip="<?=$this->translate('tooltip_edit')?>" ng-click="self.editContainer(container)" ng-if="self.home._rights.update">
                                                <?=$this->icon('edit', 'fa-fw')?>
                                            </button>
                                            <button class="btn btn-default btn-xs" tooltip="<?=$this->translate('tooltip_delete')?>" ng-click="self.deleteContainer(container)" ng-if="self.home._rights.delete">
                                                <?=$this->icon('delete', 'fa-fw')?>
                                            </button>
                                        </div>

                                        <div ng-switch-when="<?=\Home\Entity\Container::TYPE_TEXT?>">
                                            <div class="well well-sm">
                                                <div ng-bind-html="self.renderHtml(container.content)"></div>
                                            </div>
                                        </div>

                                        <div ng-switch-when="<?=\Home\Entity\Container::TYPE_LIST?>">
                                            <div class="well well-sm" ng-if="container.entity == 'project'">
                                                <div ng-controller="projectListController as self" ng-init="self.initHome('container-admin-' + container.id, container.query)">
                                                    <?=$this->partial('project/index/index.phtml', ['fromHome' => true])?>
                                                </div>
                                            </div>

                                            <div class="well well-sm" ng-if="container.entity == 'task'">
                                                <div ng-controller="taskListController as self" ng-init="self.initHome('container-admin-' + container.id, container.query)">
                                                    <?=$this->partial('task/index/index.phtml', ['fromHome' => true, 'groups' => $this->taskGroups])?>
                                                </div>
                                            </div>
                                        </div>

                                        <div ng-switch-when="<?=\Home\Entity\Container::TYPE_CALENDAR?>">
                                            <div class="well well-sm" ng-if="container.entity == 'timesheet'">
                                                <div ng-controller="timesheetListController as self" ng-init="self.initHome('container-' + container.id, container.query, 'calendar', <?=$this->authStorage()->getUser()->getId()?>)">
                                                    <?=$this->partial('time/index/index.phtml', ['fromHome' => true, 'groups' => $this->timeGroups])?>
                                                </div>
                                            </div>
                                        </div>

                                        <div ng-switch-when="<?=\Home\Entity\Container::TYPE_CHAT?>">
                                            <div class="well well-sm" ng-if="container.entity == 'note'">
                                                <?=$this->partial('home/partial/chat/note.phtml')?>
                                            </div>
                                        </div>

                                        <div ng-switch-when="<?=\Home\Entity\Container::TYPE_GRAPHIC?>">
                                            <div class="well well-sm"
                                                 ng-if="container.entity == 'timesheet' && container.graphicType == 'by_month'"
                                                 ng-controller="graphicTimesheetController as self"
                                                 ng-init="self.init(container.query)">
                                                <?=$this->partial('home/partial/graphic/timesheet.phtml')?>
                                            </div>
                                            <div class="well well-sm"
                                                 ng-if="container.entity == 'timesheet' && container.graphicType == 'pie'"
                                                 ng-controller="graphicProjectTimePieController as self"
                                                 ng-init="self.init(container.query)">
                                                 <?=$this->partial('home/partial/graphic/project-time.phtml')?>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div id="admin_containerFormModal" class="modal fade">
                                    <div class="modal-dialog modal-lg">
                                        <div class="modal-content">
                                            <form name="containerForm" ng-submit="self.saveContainer();">
                                                <div class="modal-header"><?=$this->translate('container_nav_form')?></div>
                                                <div class="modal-body">
                                                    <div class="row">
                                                        <div class="form-group required col-sm-6">
                                                            <label><?=$this->translate('container_field_title')?></label>
                                                            <input type="text" class="form-control" name="title" ng-model="self.container.title" required/>
                                                            <field-errors field="title" errors="self.errors.fields"></field-errors>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="form-group required col-sm-6">
                                                            <label><?=$this->translate('container_field_order')?></label>
                                                            <input type="number" name="order" required class="form-control" autocomplete="off" ng-model="self.container.order"/>
                                                            <field-errors field="order" errors="self.errors.fields"></field-errors>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="form-group required col-sm-6">
                                                            <label><?=$this->translate('container_field_width')?></label>
                                                            <select class="form-control" name="width" ng-model="self.container.width" required>
                                                                <?php foreach ($widths as $width) {
    echo '<option value="' . $width . '">' . ucfirst($this->translate($width)) . '</option>';
}?>
                                                            </select>
                                                            <field-errors field="width" errors="self.errors.fields"></field-errors>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="form-group required col-sm-6">
                                                            <label><?=$this->translate('container_field_type')?></label>
                                                            <select class="form-control" name="type" ng-model="self.container.type" required>
                                                                <?php foreach ($types as $type) {
    echo '<option value="' . $type . '">' . ucfirst($this->translate($type . '_entity')) . '</option>';
}?>
                                                            </select>
                                                            <field-errors field="type" errors="self.errors.fields"></field-errors>
                                                        </div>
                                                    </div>

                                                    <!-- Type Text -->
                                                    <div ng-if="self.container.type == '<?=\Home\Entity\Container::TYPE_TEXT?>'">
                                                        <div class="row">
                                                            <div class="col-sm-6 container-variable">
                                                                <b class="variables-category">
                                                                    <?=$this->translate('container_field_imageGlobal')?>
                                                                    <div class="pull-right">
                                                                        <a class="pointer" ng-click="self.configureVariable('addPictureGlobal')"><span class="glyphicon glyphicon-plus"></span></a>
                                                                    </div>
                                                                </b>
                                                                <ul class="list-unstyled">
                                                                    <li ng-repeat="picture in self.picturesGlobal">
                                                                        <label class="variable no-bold pointer" ng-click="self.insertImage(picture.url)">
                                                                            {{picture.name}}
                                                                        </label>
                                                                    </li>
                                                                </ul>
                                                            </div>
                                                        </div>
                                                        <div class="row">
                                                            <div class="form-group col-sm-12 required">
                                                                <label><?=$this->translate('container_field_content')?></label>
                                                                <text-editor ng-model="self.container.content" type="simple" required></text-editor>
                                                                <field-errors field="content" errors="self.errors.fields"></field-errors>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <!-- Type List -->
                                                    <div ng-if="self.container.type == '<?=\Home\Entity\Container::TYPE_LIST?>'">
                                                        <div class="row">
                                                            <div class="form-group required col-sm-6">
                                                                <label><?=$this->translate('container_field_entity')?></label>
                                                                <select class="form-control" name="entity" ng-model="self.container.entity" required>
                                                                    <?php foreach (['project', 'task'] as $entity) {
    echo '<option value="' . $entity . '">' . ucfirst($this->translate($entity . '_entity')) . '</option>';
}?>
                                                                </select>
                                                                <field-errors field="entity" errors="self.errors.fields"></field-errors>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <!-- Type Calendar -->
                                                    <div ng-if="self.container.type == '<?=\Home\Entity\Container::TYPE_CALENDAR?>'">
                                                        <div class="row">
                                                            <div class="form-group required col-sm-6">
                                                                <label><?=$this->translate('container_field_entity')?></label>
                                                                <select class="form-control" name="entity" ng-model="self.container.entity" required>
                                                                    <?php foreach (['timesheet'] as $entity) {
    echo '<option value="' . $entity . '">' . ucfirst($this->translate($entity . '_entity')) . '</option>';
}?>
                                                                </select>
                                                                <field-errors field="entity" errors="self.errors.fields"></field-errors>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <!-- Type Chat -->
                                                    <div ng-if="self.container.type == '<?=\Home\Entity\Container::TYPE_CHAT?>'">
                                                        <div class="row">
                                                            <div class="form-group required col-sm-6">
                                                                <label><?=$this->translate('container_field_entity')?></label>
                                                                <select class="form-control" name="entity" ng-model="self.container.entity" required>
                                                                    <?php foreach (['note'] as $entity) {
    echo '<option value="' . $entity . '">' . ucfirst($this->translate($entity . '_entity')) . '</option>';
}?>
                                                                </select>
                                                                <field-errors field="entity" errors="self.errors.fields"></field-errors>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <!-- Type Graphic -->
                                                    <div ng-if="self.container.type == '<?=\Home\Entity\Container::TYPE_GRAPHIC?>'">
                                                        <div class="row">
                                                            <div class="form-group required col-sm-6">
                                                                <label><?=$this->translate('container_field_entity')?></label>
                                                                <select class="form-control" name="entity" ng-model="self.container.entity" required>
                                                                    <?php foreach (['timesheet'] as $entity) {
    echo '<option value="' . $entity . '">' . ucfirst($this->translate($entity . '_entity')) . '</option>';
}?>
                                                                </select>
                                                                <field-errors field="entity" errors="self.errors.fields"></field-errors>
                                                            </div>
                                                        </div>

                                                        <div class="row">
                                                            <div class="form-group required col-sm-6">
                                                                <label><?=$this->translate('container_field_graphicType')?></label>
                                                                <select class="form-control" name="type" ng-model="self.container.graphicType" required>
                                                                    <?php foreach ($graphicTypes as $graphicType) {
    echo '<option value="' . $graphicType . '">' . ucfirst($this->translate('graphicType_' . $graphicType)) . '</option>';
}?>
                                                                </select>
                                                                <field-errors field="graphicType" errors="self.errors.fields"></field-errors>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="row" ng-if="
                                                        (self.container.entity == 'project'   && self.container.type == '<?=\Home\Entity\Container::TYPE_LIST?>')  ||
                                                        (self.container.entity == 'task'      && self.container.type == '<?=\Home\Entity\Container::TYPE_LIST?>' ) || (
                                                            self.container.entity == 'timesheet' && (
                                                                self.container.type == '<?=\Home\Entity\Container::TYPE_CALENDAR?>' ||
                                                                self.container.type == '<?=\Home\Entity\Container::TYPE_GRAPHIC?>'
                                                            )
                                                        )
                                                    ">
                                                        <div class="form-group col-sm-6">
                                                            <label><?=$this->translate('container_field_query')?></label>
                                                            <query-select name="query" ng-model="self.container.query" required="false" form="containerForm" configuration="{
                                                                service: {
                                                                    apiParams: {
                                                                        search: {
                                                                            data: {
                                                                                filters: {
                                                                                    list: {
                                                                                        op: 'eq',
                                                                                        val: self.container.entity == 'timesheet' && self.container.type == '<?=\Home\Entity\Container::TYPE_GRAPHIC?>'
                                                                                            ? 'analysis-time'
                                                                                            : self.container.entity + 's-list'
                                                                                    }
                                                                                }
                                                                            }
                                                                        }
                                                                    }
                                                                }
                                                            }"></query-select>
                                                            <field-errors field="query" errors="self.errors.fields"></field-errors>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="modal-footer">
                                                    <button class="btn btn-default" type="button" data-dismiss="modal">
                                                        <?=$this->translate('close')?>
                                                    </button>
                                                    <button class="btn btn-submit" type="submit" ng-disabled="self.loading.save">
                                                        <?=$this->icon('loading', '', ['ng-if' => 'self.loading.save'])?>
                                                        <?=$this->translate('save')?>
                                                    </button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>

                                <div id="admin_params_addPictureGlobal" class="modal fade">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <form name="attachmentForm" ng-submit="self.savePictureGlobal()">
                                                <div class="modal-header"><?=$this->translate('picture_add_title')?></div>
                                                <div class="modal-body">
                                                    <div class="row">
                                                        <div class="col-xs-6">
                                                            <div class="form-group required">
                                                                <label><?=$this->translate('attachment_field_name')?></label>
                                                                <input required type="text" ng-model="self.pictureGlobal.name" class="form-control">
                                                                <field-errors field="name" errors="self.errors"></field-errors>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-xs-6">
                                                            <div class="form-group required">
                                                                <label><?=$this->translate('attachment_field_url')?></label>
                                                                <input ng-required="!self.pictureGlobal.filename" type="file" nv-file-select uploader="self.uploader" ng-model="self.pictureGlobal.file" class="hide-tooltip"/>
                                                                <strong>{{self.pictureGlobal.filename}}</strong>
                                                                <field-errors field="url" errors="self.errors"></field-errors>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button class="btn btn-default" type="button" data-dismiss="modal">
                                                        <?=$this->translate('close')?>
                                                    </button>
                                                    <button class="btn btn-submit" ng-disabled="self.loading.save || self.pictureGlobal.name == null || self.pictureGlobal.filename == null">
                                                        <?=$this->icon('loading', '', ['ng-if' => 'self.loading.save'])?>
                                                        <?=$this->translate('save')?>
                                                    </button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php endif;?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<?php
$this->angular('js/src/user/service/user.js');
$this->angular('js/src/user/directive/userSelect.js');

$this->angular('js/src/application/query/service/query.js');
$this->angular('js/src/application/query/directive/querySelect.js');

$this->angular('js/src/home/service/home.js');
$this->angular('js/src/home/service/homeAdmin.js');
$this->angular('js/src/home/service/homeContainer.js');
$this->angular('js/src/shared/service/treeBuilder.js');
$this->angular('js/src/home/controller/form.js');
$this->angular('js/src/home/controller/adminForm.js');
$this->angular('js/src/home/controller/graphicTimesheet.js');
$this->angular('js/src/home/controller/graphicProjectTimePie.js');

$this->angular('js/src/attachment/controller/attachment.js');
$this->angular('js/src/attachment/service/attachment.js');

$this->angular('js/src/project/controller/list.js');
$this->angular('js/src/project/service/project.js');

$this->angular('js/src/time/service/timesheet.js');
$this->angular('js/src/time/controller/timesheet/list.js');

$this->angular('js/src/task/service/task.js');
$this->angular('js/src/task/controller/task/list.js');
